Bug 1415048 - [Docs][VMM] Update the documentation for SPICE USB redirection
Summary: [Docs][VMM] Update the documentation for SPICE USB redirection
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 4.2.3
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ovirt-4.2.5
: ---
Assignee: Avital Pinnick
QA Contact: Tahlia Richardson
URL:
Whiteboard:
Depends On: 1373223
Blocks: 1444027
TreeView+ depends on / blocked
 
Reported: 2017-01-20 06:00 UTC by Lucy Bopf
Modified: 2019-05-07 12:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-14 07:26:19 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)

Description Lucy Bopf 2017-01-20 06:00:02 UTC
The behavior of SPICE USB redirection has changed when redirection is disabled.

From the dev bug 1373223:

If SPICE USB redirection is enabled (VM-like dialog > Console > USB Support), the behavior remains unchanged: each VM has a quadruple of usb controllers: ich9-ehci1, ich9-uhci1,ich9-uhci2, ich9-uhci3.
If SPICE USB redirection is disabled, then VM has newly USB controller as specified in osinfo-defaults.properties configuration file, i.e. it is configurable per guest operating system and effective cluster version. Previously no usb controller was send to libvirt and libvirt created a default usb controller.

Default for all intel (x86, x86-64) operating systems is "piix3-uhci", for ppc64 systems it is "nec-xhci".


SME feedback from Jakub Niedermertl about the 'USB Support' field in the 'Console' tab of the 'New Virtual Machine' window:

Despite the name this dropdown controls spice usb redirection.
Enable: spice usb redirection is enabled allowing client to attach his/her usb device to a guest VM. VM is added special set of special 4 usb controllers.
Disabled: usb spice redirection is disabled, USB controller devices are added according to "devices.usb.controller" key in "osinfo-defaults.properties" configuration file.

Comment 1 Lucy Bopf 2018-06-29 05:15:59 UTC
Moving to 4.2.


Note You need to log in before you can comment on or make changes to this bug.